コンテンツへスキップ

FLUX.1 [dev] Control LoRA Canny

統合

モデルID flux-control-lora-canny
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-control-lora-canny?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "control_lora_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.04 40 APIクレジット このページで実行

APIキーを取得
Black Forest Labs テキストから画像 #lora#style-transfer

Cannyエッジ制御画像で誘導するFLUX.1 devのテキストから画像生成

Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を導くプロンプト。

•必須
ファイルをドロップ、または

生成画像のスタイルを誘導するためにcontrol LoRAへ渡す画像。

image_size デフォルト landscape_4_3

生成画像の寸法。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 image · output_format · num_inference_steps · guidance_scale · control_lora_strength · seed · enable_safety_checker · preprocess_depth · loras
image_url
ファイルをドロップ、または

画像間生成に使用する入力画像のURL。

output_format デフォルト jpeg

結果の画像のファイル形式。

デフォルト 28

実行する推論ステップ数。

デフォルト 3.5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

デフォルト 1

control LoRAに適用する強度。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

デフォルト []

組み合わせた効果で生成画像を作るLoRA。指定数に制限はありません。

POST /run/flux-control-lora-canny?wait=20 見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-control-lora-canny?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "control_lora_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

FLUX.1 [dev] Control LoRA Cannyについて

`prompt`から画像を生成し、`control_lora_image_url`の制御画像がCannyエッジマップを通じて構造を指定します。強度は`control_lora_strength`(0~2)で設定します。追加の`loras`、1~50ステップ、最大4枚の画像、jpegまたはpng出力にも対応し、`image_url`によるオプションのimg2imgも利用できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を導くプロンプト。
image_url任意 image
型url · image
画像間生成に使用する入力画像のURL。
image_size任意
型object
デフォルトlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像の寸法。
num_inference_steps任意
型integer
デフォルト28
1 – 50
実行する推論ステップ数。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
loras任意
型object[]
デフォルト[]
組み合わせた効果で生成画像を作るLoRA。指定数に制限はありません。
loras[].path必須
型string
URLまたはパスで指定するLoRAウェイトの場所。
loras[].scale任意
型number
デフォルト1
0 – 4
ベースモデルに統合する前にLoRAウェイトへ適用する倍率。
guidance_scale任意
型number
デフォルト3.5
0 – 35
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェック。安全でないと判定された画像の代わりに黒い画像を返します。true でチェックを有効にし、false では権限のあるアカウントのみ無効にできます。権限のないアカウントのリクエストは常にチェックされます。
output_format任意
型enum
デフォルトjpeg
jpegpng
結果の画像のファイル形式。
control_lora_image_url必須
型url · image
生成画像のスタイルを誘導するためにcontrol LoRAへ渡す画像。
control_lora_strength任意
型number
デフォルト1
0 – 2
control LoRAに適用する強度。
preprocess_depth任意
型boolean
デフォルトtrue
深度マップの前処理切り替え。trueにすると、指定画像から深度情報を抽出して深度マップを生成します。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-control-lora-canny",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "control_lora_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成画像のファイル情報。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-control-lora-canny.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt